Get single checkpoint
curl --request GET \
--url https://api.mnemom.ai/v1/agents/{agent_id}/checkpoints/{checkpoint_id} \
--header 'X-Mnemom-Api-Key: <api-key>'import requests
url = "https://api.mnemom.ai/v1/agents/{agent_id}/checkpoints/{checkpoint_id}"
headers = {"X-Mnemom-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Mnemom-Api-Key': '<api-key>'}};
fetch('https://api.mnemom.ai/v1/agents/{agent_id}/checkpoints/{checkpoint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"checkpoint_id": "<string>",
"agent_id": "<string>",
"card_id": "<string>",
"session_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"thinking_block_hash": "<string>",
"provider": "<string>",
"model": "<string>",
"concerns": [
{
"category": "<string>",
"severity": "<string>",
"description": "<string>",
"evidence": "<string>"
}
],
"reasoning_summary": "<string>",
"conscience_context": {},
"window_position": {
"index": 123,
"window_size": 123
},
"analysis_metadata": {},
"linked_trace_id": "<string>",
"re_evaluated_at": "2023-11-07T05:31:56Z",
"original_verdict": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Checkpoints
Get single checkpoint
Get single checkpoint
GET
/
agents
/
{agent_id}
/
checkpoints
/
{checkpoint_id}
Get single checkpoint
Authorizations
ApiKeyAuthBearerAuthCookieAuth
Mnemom API key (mnm_... format)
Path Parameters
Agent identifier (e.g. smolt-abc123)
Response
Checkpoint details
Available options:
clear, review_needed, boundary_violation Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I